--- old/usr/src/cmd/vi/port/ex.c	2014-08-13 19:36:49.839095202 -0400
+++ new/usr/src/cmd/vi/port/ex.c	2014-08-13 19:36:49.852465858 -0400
@@ -28,8 +28,6 @@
 
 /* Copyright (c) 1981 Regents of the University of California */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #include "ex.h"
 #include "ex_argv.h"
 #include "ex_temp.h"
@@ -241,8 +239,6 @@
 	ruptible = signal(SIGINT, SIG_IGN) == SIG_DFL;
 	if (signal(SIGTERM, SIG_IGN) == SIG_DFL)
 		signal(SIGTERM, onhup);
-	if (signal(SIGEMT, SIG_IGN) == SIG_DFL)
-		signal(SIGEMT, onemt);
 	signal(SIGILL, oncore);
 	signal(SIGTRAP, oncore);
 	signal(SIGIOT, oncore);
--- old/usr/src/cmd/vi/port/ex.h	2014-08-13 19:36:50.491387342 -0400
+++ new/usr/src/cmd/vi/port/ex.h	2014-08-13 19:36:50.504455091 -0400
@@ -366,8 +366,8 @@
 var	int	xflag;		/* True if we are in encryption mode */
 var	int	xtflag;		/* True if the temp file is being encrypted */
 var	int	kflag;		/* True if the key has been accepted */
-var	int	crflag;		/* True if the key has been accepted  and the file 
-				   being read is ciphertext 
+var	int	crflag;		/* True if the key has been accepted  and the file
+				   being read is ciphertext
 				 */
 var	int	perm[2];	/* pipe connection to crypt for file being edited */
 var	int	tperm[2];	/* pipe connection to crypt for temporary file */
@@ -379,7 +379,7 @@
 
 var	bool	write_quit;	/* True if executing a 'wq' command */
 var	int	errcnt;		/* number of error/warning messages in */
-				/*	editing session (global flag)  */ 
+				/*	editing session (global flag)  */
 /*
  * Function type definitions
  */
@@ -440,10 +440,9 @@
 int	normline(void);
 int	numbline(int);
 var	void	(*oldquit)();
-#ifdef __STDC__
+
 void	onhup(int);
 void	onintr(int);
-void	onemt(int);
 void	oncore(int);
 #ifdef CBREAK
 void	vintr(int);
@@ -452,19 +451,6 @@
 int	putch(char);
 int	plodput(char);
 int	vputch(char);
-#else
-void	onhup();
-void	onintr();
-void	onemt();
-void	oncore();
-#ifdef CBREAK
-void	vintr();
-#endif
-void	onsusp();
-int	putch();
-int	plodput();
-int	vputch();
-#endif /* __STDC__ */
 
 void	shift(int, int);
 int	termchar(wchar_t);
--- old/usr/src/cmd/vi/port/ex_subr.c	2014-08-13 19:36:50.945822333 -0400
+++ new/usr/src/cmd/vi/port/ex_subr.c	2014-08-13 19:36:50.958940519 -0400
@@ -224,7 +224,7 @@
 	int c;
 {
 	line *addr;
-	
+
 	for (addr = one; addr <= dol; addr++)
 		if (names[c - 'a'] == (*addr &~ 01)) {
 			return (addr);
@@ -576,7 +576,7 @@
 			length = mbtowc(&wchar, (char *)lim, MULTI_BYTE_MAX);
 		if(length < 0)
 			length = 1;
-		x = lim[length]; 
+		x = lim[length];
 		lim[length] = 0;
 	}
 	pline(0);
@@ -622,7 +622,7 @@
 			length = mbtowc(&wchar, (char *)lim, MULTI_BYTE_MAX);
 		if(length < 0)
 			length = 1;
-		x = lim[length]; 
+		x = lim[length];
 		lim[length] = 0;
 	}
 	pline(0);
@@ -924,32 +924,6 @@
 }
 
 /*
- * The following code is defensive programming against a bug in the
- * pdp-11 overlay implementation.  Sometimes it goes nuts and asks
- * for an overlay with some garbage number, which generates an emt
- * trap.  This is a less than elegant solution, but it is somewhat
- * better than core dumping and losing your work, leaving your tty
- * in a weird state, etc.
- */
-int _ovno;
-
-/*ARGSUSED*/
-void 
-onemt(sig)
-int sig;
-{
-	int oovno;
-
-	signal(SIGEMT, onemt);
-	oovno = _ovno;
-	/* 2 and 3 are valid on 11/40 type vi, so */
-	if (_ovno < 0 || _ovno > 3)
-		_ovno = 0;
-	error(value(vi_TERSE) ? gettext("emt trap, _ovno is %d ") :
-gettext("emt trap, _ovno is %d   - try again"));
-}
-
-/*
  * When a hangup occurs our actions are similar to a preserve
  * command.  If the buffer has not been [Modified], then we do
  * nothing but remove the temporary files and exit.
@@ -961,7 +935,7 @@
  */
 
 /*ARGSUSED*/
-void 
+void
 onhup(sig)
 int sig;
 {
@@ -1034,7 +1008,7 @@
  */
 
 /*ARGSUSED*/
-void 
+void
 onintr(sig)
 int sig;
 {
@@ -1123,7 +1097,7 @@
 extern void redraw();
 
 /*ARGSUSED*/
-void 
+void
 onsusp(sig)
 int sig;
 {
@@ -1161,7 +1135,7 @@
 		vdirty(0, lines);
 		if (sig)
 			vrepaint(cursor);
-	}	
+	}
 }
 #endif
 
@@ -1195,7 +1169,7 @@
 			ccursor += length;
 	}
 	return(ocursor);
-}		 	
+}
 
 int
 ixlatctl(int flag)
